# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu May 16 22:21:16 2024
# ------------------------------------------------

package:
  name: mlflow
  version: 2.12.2
source:
  sha256: bdec209c55cd33fbe79deb32d6cb9966d50a4674aac00b706e2658ac81ee58bc
  url: https://github.com/mlflow/mlflow/archive/refs/tags/v2.12.2.zip
build:
  entry_points:
    - mlflow=mlflow.cli:cli
  number: '0'
  script: '

    /croot/mlflow_1715898097430/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vvv

    '
  string: py39h0772b81_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - ca-certificates 2024.3.11 hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.4 h419075a_0
    - openssl 3.0.13 h2f4d8fa_1
    - pip 24.0 py39hd43f75c_0
    - python 3.9.19 h4bb2201_1
    - readline 8.2 h998d150_0
    - setuptools 69.5.1 py39hd43f75c_0
    - sqlite 3.45.3 h998d150_0
    - tk 8.6.14 h987d8db_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py39hd43f75c_0
    - xz 5.4.6 h998d150_1
    - zlib 1.2.13 h998d150_1
  run:
    - alembic <2,!=1.10.0
    - click >=7.0,<9
    - cloudpickle <4
    - docker-py >=4.0.0,<8
    - entrypoints <1
    - flask <4
    - gitpython >=3.1.9,<4
    - graphene <4
    - gunicorn <23
    - importlib-metadata <8,>=3.7.0,!=4.7.0
    - jinja2 <4,>=2.11
    - markdown >=3.3,<4
    - matplotlib-base <4
    - numpy <2
    - packaging <25
    - pandas <3
    - protobuf >=3.12.0,<5
    - pyarrow <16,>=4.0.0
    - python >=3.9,<3.10.0a0
    - pytz <2025
    - pyyaml >=5.1,<7
    - querystring_parser <2
    - requests >=2.17.3,<3
    - scikit-learn <2
    - scipy <2
    - sqlalchemy >=1.4.0,<3
    - sqlparse >=0.4.0,<1
  run_constrained:
    - aiohttp <4
    - azure-storage-file-datalake >12
    - azureml-core >=1.2.0
    - boto3 >1
    - boto3 >=1.28.56,<2
    - fastai >=2.4.1
    - fastapi <1
    - google-cloud-storage >=1.30.0
    - holidays !=0.25
    - lightning>=1.8.1
    - mlflow-skinny <0a0
    - mlserver >=1.2.0, !=1.3.1, <1.4.0
    - mlserver-mlflow >=1.2.0,!=1.3.1,<1.4.0
    - mxnet !=1.8.0
    - onnx >=1.11.0
    - openai <1.0
    - pydantic >=1.0,<3
    - pytorch >=1.11.0
    - shap >=0.42.1
    - slowapi >=0.1.9,<1
    - spacy >=3.3.0
    - tensorflow >=2.10.0
    - tiktoken <1
    - torchvision >=0.12.0
    - uvicorn-standard <1
    - watchfiles <1
    - xgboost >=0.82
test:
  commands:
    - mlflow --help
    - pip check
  imports:
    - mlflow
    - mlflow.models
    - mlflow.projects
    - mlflow.protos
    - mlflow.pyfunc
    - mlflow.pytorch
    - mlflow.rfunc
    - mlflow.sagemaker
    - mlflow.server
    - mlflow.store
    - mlflow.tracking
    - mlflow.utils
  requires:
    - pip
about:
  description: 'MLflow is a platform to streamline machine learning development, including
    tracking

    experiments, packaging code into reproducible runs, and sharing and deploying
    models.

    MLflow offers a set of lightweight APIs that can be used with any existing machine

    learning application or library (TensorFlow, PyTorch, XGBoost, etc), wherever
    you

    currently run ML code (e.g. in notebooks, standalone applications or the cloud).

    '
  dev_url: https://github.com/mlflow/mlflow
  doc_url: https://mlflow.org
  home: https://mlflow.org/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE.txt
  summary: 'MLflow: A Machine Learning Lifecycle Platform'
extra:
  copy_test_source_files: true
  feedstock-name: mlflow
  final: true
  flow_run_id: 2ff59877-1819-42ec-a81b-8babf1c4e5f9
  recipe-maintainers:
    - aarondav
    - ahirreddy
    - andrewmchen
    - aveshcsingh
    - dbczumar
    - harupy
    - janjagusch
    - jaroslawk
    - mateiz
    - mparkhe
    - pogil
    - smurching
    - sueann
    - tomasatdatabricks
    - xhochy
    - zangr
  remote_url: git@github.com:AnacondaRecipes/mlflow-feedstock.git
  sha: 1df7527da99096675fd26d25ae6d8223dd1b5bfa
